diff -u glibc-2.3.5/debian/patches/00list glibc-2.3.5/debian/patches/00list
--- glibc-2.3.5/debian/patches/00list
+++ glibc-2.3.5/debian/patches/00list
@@ -77,0 +78 @@
+es_ES
diff -u glibc-2.3.5/debian/changelog glibc-2.3.5/debian/changelog
--- glibc-2.3.5/debian/changelog
+++ glibc-2.3.5/debian/changelog
@@ -1,3 +1,13 @@
+glibc (2.3.5-1ubuntu13) breezy; urgency=low
+
+  * Jorge Bernal <koke@amedias.org>
+
+    * The Spanish weekday and workday starts on Monday. (Closes: #16216)
+      - debian/patches/es_ES.dpatch: New File
+      - debian/patches/00list: Update
+
+ -- Jorge Bernal <koke@amedias.org>  Tue, 10 Jan 2006 13:22:57 +0100
+
 glibc (2.3.5-1ubuntu12) breezy; urgency=low
 
   * Jeff Bailey <jbailey@ubuntu.com>
only in patch2:
unchanged:
--- glibc-2.3.5.orig/debian/patches/es_ES.dpatch
+++ glibc-2.3.5/debian/patches/es_ES.dpatch
@@ -0,0 +1,39 @@
+#! /bin/sh -e
+
+# All lines beginning with `# DP:' are a description of the patch.
+# DP: Description: Set first_weekday and first_workday to Monday for es_ES
+# DP: Related bugs: 
+# DP: Dpatch author: Jorge Bernal
+# DP: Patch author: Jorge Bernal
+# DP: Upstream status: Not submitted
+# DP: Status Details: Locales not being submitted upstream until we
+#     switch to belochs
+# DP: Date: 2005-09-01
+
+PATCHLEVEL=1
+
+if [ $# -ne 2 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p$PATCHLEVEL < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p$PATCHLEVEL < $0;;
+    *)
+	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+	exit 1
+esac
+exit 0
+
+# append the patch here and adjust the -p? flag in the patch calls.
+--- glibc-2.3.5/localedata/locales/es_ES	2004-11-01 00:42:26.000000000 +0100
++++ glibc-2.3.5/localedata/locales/es_ES	2006-01-10 13:18:43.000000000 +0100
+@@ -2146,6 +2146,8 @@
+ END LC_NUMERIC
+ 
+ LC_TIME
++first_weekday 2
++first_workday 2
+ abday   "<U0064><U006F><U006D>";"<U006C><U0075><U006E>";/
+         "<U006D><U0061><U0072>";"<U006D><U0069><U00E9>";/
+         "<U006A><U0075><U0065>";"<U0076><U0069><U0065>";/
